﻿using Drive.Commands.Creative.ScriptWriting;
using Drive.Commands.Scheduling.Audio;
using NodaTime;

namespace Drive.Commands
{
    public class AddScriptCommand :
        ICreateAudioSequenceCommand,
        ICreateSequenceAudioCommand,
        IAddDocumentCommand
    {
        public Guid ClientId { get; set; }
        public Guid AudioSequenceId { get; set; }
        public Guid AudioId { get; set; }
        public Guid AudioBriefId { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Suffix { get; set; } = string.Empty;
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public LocalDate KillDate { get; set; }
        public Guid DocumentId { get; set; }
        public int WriterId { get; set; }
        public string Content { get; set; } = string.Empty;
    }
}