﻿using NodaTime;

namespace Drive.Commands.Scheduling.Audio
{
    public class CreateSequenceAudioCommand :
        ICreateSequenceAudioCommand
    {
        public Guid AudioBriefId { get; set; }
        public Guid AudioId { get; set; }
        public Guid ClientId { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Suffix { get; set; } = string.Empty;
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public LocalDate KillDate { get; set; }
    }

    public interface ICreateSequenceAudioCommand
    {
        Guid AudioBriefId { get; set; }
        Guid AudioId { get; set; }
        Guid ClientId { get; set; }
        string Code { get; set; }
        string Suffix { get; set; }
        LocalDate StartDate { get; set; }
        LocalDate EndDate { get; set; }
        LocalDate KillDate { get; set; }
    }
}