﻿using NodaTime;

namespace Drive.Events.Scheduling.Audio
{
    public class RevisedAudioAddedEvent
    {
        public Guid AudioBriefId { get; set; }
        public Guid AudioId { get; set; }
        public int CreatedById { get; set; }
        public Instant CreatedAt { get; set; }
        public Guid ClientId { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Suffix { get; set; } = string.Empty;
        public short Revision { get; set; }
        public short Length { get; set; }
        public string? Description { get; set; }
        public string? AudioStorageReference { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public LocalDate KillDate { get; set; }
        public LocalTime? StartTime { get; set; }
        public LocalTime? EndTime { get; set; }
        public string? SoundEffects { get; set; }
        public string? Music { get; set; }
        public bool CanPlayMonday { get; set; }
        public bool CanPlayTuesday { get; set; }
        public bool CanPlayWednesday { get; set; }
        public bool CanPlayThursday { get; set; }
        public bool CanPlayFriday { get; set; }
        public bool CanPlaySaturday { get; set; }
        public bool CanPlaySunday { get; set; }
        public IEnumerable<int> VoiceIds { get; set; } = Enumerable.Empty<int>();
        public int? MainVoiceId { get; set; }
        public IEnumerable<int> BrandIds { get; set; } = Enumerable.Empty<int>();
        public IEnumerable<int> BranchIds { get; set; } = Enumerable.Empty<int>();
    }
}
