﻿using NodaTime;

namespace Drive.Events.Scheduling.Instructing
{
    public class AudioLineCreatedEvent
    {
        public Guid Id { get; set; }
        public int CreatedById { get; set; }
        public Instant CreatedAt { get; set; }
        public Guid ContractId { get; set; }
        public int? LineNumber { get; set; }
        public Guid AudioId { get; set; }
        public Guid? TailAudioId { get; set; }
        public LocalDate? StartDate { get; set; }
        public LocalDate? EndDate { get; set; }
        public LocalTime? StartTime { get; set; }
        public LocalTime? EndTime { get; set; }
        public LocalTime? StartDateStartTime { get; set; }
        public LocalTime? EndDateEndTime { get; set; }
        public bool CanPlaySunday { get; set; }
        public bool CanPlaySaturday { get; set; }
        public bool CanPlayFriday { get; set; }
        public bool CanPlayThursday { get; set; }
        public bool CanPlayWednesday { get; set; }
        public bool CanPlayTuesday { get; set; }
        public bool CanPlayMonday { get; set; }
        public short? PlayPercentage { get; set; }
        public string? Notes { get; set; }
        public int? StationBrandId { get; set; }
        public string? StationDescription { get; set; }
        public IEnumerable<int> StationIds { get; set; } = Enumerable.Empty<int>();
        public IEnumerable<int> TimezoneIds { get; set; } = Enumerable.Empty<int>();

        public IEnumerable<int> InputSpotLineNumbers { get; set; } = Enumerable.Empty<int>();
    }
}
